## sngrep 0.3.1

=== debian/changelog ===
sngrep (0.3.1-1) unstable; urgency=low

  [ Ivan Alonso ]
   * Initial version (Closes: #772138)

  [ Victor Seva ]
  * [5b24a7e] add missing libncurses5-dev to Build-Depends. Clean forced depends
  * [d929975] add /me to uploaders. Set pkg-voip as maintainer.
    Add debian dir at copyright with my info
  * [508ae25] fix uscan watch file
  * [da71358] Imported Upstream version 0.3.1
  * [50d10c7] add debian/gbp.conf
  * [4c62972] restore pgpsigurlmangle option at watch file
  * [568be43] fix debian/copyright format
  * [c0a4a2e] set Architecture to any
  * [439463f] enable ipv6

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Mon, 18 May 2015 11:06:27 +0200
