## sngrep 0.3.2

=== debian/changelog ===
sngrep (0.3.2-1) unstable; urgency=medium

  * [6e1188f] debian/watch: fix upstream rc versions
  * [c4eab72] Imported Upstream version 0.3.2

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Mon, 01 Jun 2015 14:53:20 +0200
