=== debian/control ===
Source: sngrep
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Ivan Alonso <kaian@irontec.com>,
           Victor Seva <linuxmaniac@torreviejawireless.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libncurses5-dev,
               libncursesw5-dev,
               libpcap-dev,
               libpcre3-dev,
               libssl-dev
Standards-Version: 3.9.6
Homepage: https://github.com/irontec/sngrep
Vcs-git: git://anonscm.debian.org/pkg-voip/sngrep.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-voip/sngrep.git

Package: sngrep
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Ncurses SIP Messages flow viewer
 sngrep displays SIP Messages grouped by Call-Id into flow
 diagrams. It can be used as an offline pcap viewer or online
 capture using libpcap functions.
 .
 It supports SIP UDP and TCP transports (when each message is
 delivered in one packet).
 .
