=== debian/rules ===
#!/usr/bin/make -f
override_dh_auto_configure:
	dh_auto_configure -- --with-openssl --with-pcre \
		--enable-unicode --enable-ipv6

%:
	dh $@ --with autoreconf
