## sngrep 0.4.0

=== debian/changelog ===
sngrep (0.4.0-1) unstable; urgency=medium

  * [9d1a9ce] Imported Upstream version 0.4.0

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Thu, 09 Jul 2015 21:38:08 +0200
