## sngrep 0.4.1

=== debian/changelog ===
sngrep (0.4.1-1) unstable; urgency=medium

  * [3c853dd] Imported Upstream version 0.4.1

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Wed, 15 Jul 2015 09:09:16 +0200
