## sngrep 1.0.0

=== debian/changelog ===
sngrep (1.0.0-1) unstable; urgency=medium

  * [39c5101] Imported Upstream version 1.0.0

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Tue, 06 Oct 2015 23:45:16 +0200

sngrep (0.4.2-1) unstable; urgency=medium

  * [10e3aaa] fix watch file
  * [34a4162] Imported Upstream version 0.4.2

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Mon, 31 Aug 2015 12:17:56 +0200
