## sngrep 1.1.0

=== debian/changelog ===
sngrep (1.1.0-1) unstable; urgency=medium

  * [f892192] Imported Upstream version 1.1.0
  * [2ea973d] remove libssl-dev and use gnutls-dev
  * [ced61be] add libgcrypt11-dev
  * [16b5221] add upstream fix
  * [bf06b97] enable eep option ( previously was enabled by default )

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Mon, 09 Nov 2015 23:26:17 +0100
