## sngrep 1.2.0

=== debian/changelog ===
sngrep (1.2.0-1build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:27:49 +0000

sngrep (1.2.0-1) unstable; urgency=medium

  * [0d50885] Imported Upstream version 1.2.0
  * [c94afb0] remove upstream patches from previous version

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Tue, 12 Jan 2016 22:48:12 +0100
