=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
            Victor Seva <linuxmaniac@torreviejawireless.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
+               libgnutls28-dev | gnutls-dev,
+               libgcrypt11-dev,
                libncurses5-dev,
                libncursesw5-dev,
                libpcap-dev,
-               libpcre3-dev,
-               libssl-dev
+               libpcre3-dev
 Standards-Version: 3.9.6
 Homepage: https://github.com/irontec/sngrep
 Vcs-git: git://anonscm.debian.org/pkg-voip/sngrep.git
