## sngrep 1.3.0

=== debian/changelog ===
sngrep (1.3.0-1) unstable; urgency=medium

  * [196780f] Imported Upstream version 1.3.0

 -- Victor Seva <vseva@debian.org>  Thu, 14 Apr 2016 19:34:14 +0200
