## sngrep 1.3.1

=== debian/changelog ===
sngrep (1.3.1-1) unstable; urgency=medium

  * [3f6ffff] Imported Upstream version 1.3.1

 -- Victor Seva <vseva@debian.org>  Wed, 04 May 2016 13:58:48 +0200
