## sngrep 1.4.1

=== debian/changelog ===
sngrep (1.4.1-1) unstable; urgency=medium

  * [59855b0] New upstream version 1.4.1
  * [bc57866] remove upstream applied patches

 -- Victor Seva <vseva@debian.org>  Fri, 28 Oct 2016 15:14:51 +0200

sngrep (1.4.0-1) unstable; urgency=medium

  * [0793f4d] New upstream version 1.4.0
  * [cdbf53a] use my DD account \o/
  * [b898460] update Standards-Version, no changes needed
  * [0d07151] fix typos thanks to lintian
  * [490c1ac] update Vcs-* fields URI

 -- Victor Seva <vseva@debian.org>  Mon, 19 Sep 2016 14:35:54 +0200
