## sngrep 1.4.2

=== debian/changelog ===
sngrep (1.4.2-1) unstable; urgency=medium

  * [e6dd8bc] New upstream version 1.4.2

 -- Victor Seva <vseva@debian.org>  Thu, 29 Dec 2016 13:40:14 +0100
