## sngrep 1.4.3

=== debian/changelog ===
sngrep (1.4.3-1) unstable; urgency=medium

  * [630c9f3] New upstream version 1.4.3

 -- Victor Seva <vseva@debian.org>  Wed, 17 May 2017 10:17:35 +0200
