=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Ivan Alonso <kaian@irontec.com>,
-           Victor Seva <linuxmaniac@torreviejawireless.org>
+           Victor Seva <vseva@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                libgnutls28-dev | gnutls-dev,
@@ -12,10 +12,10 @@
                libncursesw5-dev,
                libpcap-dev,
                libpcre3-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/irontec/sngrep
-Vcs-git: git://anonscm.debian.org/pkg-voip/sngrep.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-voip/sngrep.git
+Vcs-git: https://anonscm.debian.org/git/pkg-voip/sngrep.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-voip/sngrep.git
 
 Package: sngrep
 Architecture: any
