## sngrep 1.4.4

=== debian/changelog ===
sngrep (1.4.4-2) unstable; urgency=medium

  * build depend on libgcrypt20-dev (Closes: #864135)
  * fix manpage typo
  * update Standards-Version to 4.1.2, no changes needed

 -- Victor Seva <vseva@debian.org>  Fri, 08 Dec 2017 17:18:15 +0100

sngrep (1.4.4-1) unstable; urgency=medium

  * [b52ec57] New upstream version 1.4.4
  * [7b86bdf] debian/patches: fix_stdin.patch

 -- Victor Seva <vseva@debian.org>  Mon, 02 Oct 2017 17:49:43 +0200
