=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                libgnutls28-dev | gnutls-dev,
-               libgcrypt11-dev,
+               libgcrypt20-dev,
                libncurses5-dev,
                libncursesw5-dev,
                libpcap-dev,
                libpcre3-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: https://github.com/irontec/sngrep
 Vcs-git: https://anonscm.debian.org/git/pkg-voip/sngrep.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-voip/sngrep.git
@@ -29,4 +29,3 @@
  .
  It supports SIP UDP and TCP transports (when each message is
  delivered in one packet).
- .
