## sngrep 1.4.5

=== debian/changelog ===
sngrep (1.4.5-1) unstable; urgency=medium

  * update upstream signing key
  * New upstream version 1.4.5
  * remove already applied upstream fixes
  * update VCS-* to salsa

 -- Victor Seva <vseva@debian.org>  Fri, 09 Feb 2018 13:12:49 +0100
