=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                libpcre3-dev
 Standards-Version: 4.1.2
 Homepage: https://github.com/irontec/sngrep
-Vcs-git: https://anonscm.debian.org/git/pkg-voip/sngrep.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-voip/sngrep.git
+Vcs-git: https://salsa.debian.org/pkg-voip-team/sngrep.git
+Vcs-Browser: https://salsa.debian.org/pkg-voip-team/sngrep/
 
 Package: sngrep
 Architecture: any
