## sngrep 1.4.6

=== debian/changelog ===
sngrep (1.4.6-2) unstable; urgency=medium

  * update debhelper compat to 12
  * update Standards-Version to 4.4.1.2, no changes needed

 -- Victor Seva <vseva@debian.org>  Mon, 09 Dec 2019 13:21:39 +0100

sngrep (1.4.6-1) unstable; urgency=medium

  * New upstream version 1.4.6

 -- Victor Seva <vseva@debian.org>  Mon, 12 Nov 2018 15:00:38 +0100
