=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Ivan Alonso <kaian@irontec.com>,
            Victor Seva <vseva@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper-compat (= 12),
                libgnutls28-dev | gnutls-dev,
                libgcrypt20-dev,
                libncurses5-dev,
                libncursesw5-dev,
                libpcap-dev,
                libpcre3-dev
-Standards-Version: 4.1.2
+Standards-Version: 4.4.1.2
 Homepage: https://github.com/irontec/sngrep
 Vcs-git: https://salsa.debian.org/pkg-voip-team/sngrep.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/sngrep/
