## sngrep 1.4.7

=== debian/changelog ===
sngrep (1.4.7-1) unstable; urgency=medium

  * update upstream/signing-key.asc
  * New upstream version 1.4.7

 -- Victor Seva <vseva@debian.org>  Fri, 22 May 2020 10:51:09 +0200
