## sngrep 1.4.8

=== debian/changelog ===
sngrep (1.4.8-1) unstable; urgency=medium

  * New upstream version 1.4.8

 -- Victor Seva <vseva@debian.org>  Fri, 13 Nov 2020 09:33:57 +0100
