## sngrep 1.4.9

=== debian/changelog ===
sngrep (1.4.9-1) unstable; urgency=medium

  * update debian/watch
  * New upstream version 1.4.9

 -- Victor Seva <vseva@debian.org>  Thu, 27 May 2021 15:22:06 +0200
