## sngrep 1.4.10

=== debian/changelog ===
sngrep (1.4.10-1ubuntu0.1) jammy; urgency=medium

  * Apply upstream patch to fix segfault. (LP: #1974446)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 24 Dec 2023 23:28:36 +0000

sngrep (1.4.10-1) unstable; urgency=medium

  * New upstream version 1.4.10 (Closes: #997172)
  * update copyright years and Standards-Version with no changes
  * wrap-and-sort -sat

 -- Victor Seva <vseva@debian.org>  Mon, 22 Nov 2021 19:28:18 +0100
