=== debian/control ===
Source: sngrep
Section: comm
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders:
 Ivan Alonso <kaian@irontec.com>,
 Victor Seva <vseva@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 libgcrypt20-dev,
 libgnutls28-dev | gnutls-dev,
 libncurses5-dev,
 libncursesw5-dev,
 libpcap-dev,
 libpcre3-dev,
Standards-Version: 4.6.0.1
Homepage: https://github.com/irontec/sngrep
Vcs-git: https://salsa.debian.org/pkg-voip-team/sngrep.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/sngrep/

Package: sngrep
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Ncurses SIP Messages flow viewer
 sngrep displays SIP Messages grouped by Call-Id into flow
 diagrams. It can be used as an offline pcap viewer or online
 capture using libpcap functions.
 .
 It supports SIP UDP and TCP transports (when each message is
 delivered in one packet).
