## sngrep 1.5.0

=== debian/changelog ===
sngrep (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0

 -- Victor Seva <vseva@debian.org>  Mon, 02 May 2022 13:02:31 +0200
