## sngrep 1.6.0

=== debian/changelog ===
sngrep (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * migrate to pcre2 (Closes: #999958)

 -- Victor Seva <vseva@debian.org>  Sat, 03 Sep 2022 08:13:32 +0200
