=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sngrep
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders:
  Ivan Alonso <kaian@irontec.com>,
  Victor Seva <vseva@debian.org>,
@@ -13,7 +12,7 @@
  libncurses5-dev,
  libncursesw5-dev,
  libpcap-dev,
- libpcre3-dev,
+ libpcre2-dev,
 Standards-Version: 4.6.0.1
 Homepage: https://github.com/irontec/sngrep
 Vcs-git: https://salsa.debian.org/pkg-voip-team/sngrep.git
