## sngrep 1.7.0

=== debian/changelog ===
sngrep (1.7.0-2) unstable; urgency=high

  * fix from upstream for CVE-2023-36192

 -- Victor Seva <vseva@debian.org>  Mon, 26 Jun 2023 08:47:55 +0200

sngrep (1.7.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Changed vcs type from git to Git based on URL.

  [ Victor Seva ]
  * New upstream version 1.7.0
  * update libncurses dependence. Update Standards-Version
  * fix minor typo detected by lintian

 -- Victor Seva <vseva@debian.org>  Mon, 01 May 2023 17:20:54 +0200
