=== debian/rules ===
#!/usr/bin/make -f
override_dh_auto_configure:
	dh_auto_configure -- --with-gnutls --with-pcre2 \
		--enable-unicode --enable-ipv6 --enable-eep

%:
	dh $@
