## sngrep 1.8.0

=== debian/changelog ===
sngrep (1.8.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:02:27 +1100

sngrep (1.8.0-1build1) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:13:59 +0000

sngrep (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0
  * remove already applied patches

 -- Victor Seva <vseva@debian.org>  Mon, 08 Jan 2024 12:14:41 +0100
