=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: sngrep
 Section: comm
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders:
  Ivan Alonso <kaian@irontec.com>,
  Victor Seva <vseva@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libgcrypt20-dev,
  libgnutls28-dev | gnutls-dev,
- libncurses5-dev,
- libncursesw5-dev,
+ libncurses-dev,
  libpcap-dev,
  libpcre2-dev,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/irontec/sngrep
-Vcs-git: https://salsa.debian.org/pkg-voip-team/sngrep.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/sngrep/
+Vcs-Git: https://salsa.debian.org/pkg-voip-team/sngrep.git
 
 Package: sngrep
 Architecture: any
