## sngrep 1.8.1

=== debian/changelog ===
sngrep (1.8.1-1) unstable; urgency=high

  * New upstream version 1.8.1
  * fixes for CVE-2024-3119 and CVE-2024-3120 (Closes: #1068818)

 -- Victor Seva <vseva@debian.org>  Sun, 21 Apr 2024 21:00:43 +0200
