## sngrep 1.8.2

=== debian/changelog ===
sngrep (1.8.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Victor Seva <vseva@debian.org>  Mon, 09 Sep 2024 18:13:05 +0200

sngrep (1.8.2-1) unstable; urgency=medium

  * New upstream version 1.8.2
  * support libcrypt 1.11 (Closes: #1071954)

 -- Victor Seva <vseva@debian.org>  Wed, 10 Jul 2024 16:37:07 +0200
