## sngrep 1.8.3

=== debian/changelog ===
sngrep (1.8.3-1) unstable; urgency=medium

  * New upstream version 1.8.3
  * remove upstream already applied patches
  * fix build compilation

 -- Victor Seva <vseva@debian.org>  Thu, 16 Oct 2025 23:37:48 +0200
