=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sngrep
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders:
  Ivan Alonso <kaian@irontec.com>,
  Victor Seva <vseva@debian.org>,
