## sngrep 1.8.3+bionic

=== debian/changelog ===
sngrep (1.8.3+bionic) experimental; urgency=medium

  * Automated package build.

 -- Jenkins <jenkins@packages.irontec.com>  Thu, 16 Oct 2025 17:56:47 +0200

sngrep (1.8.3) experimental; urgency=low

    * sngrep 1.8.3 released

 -- Ivan Alonso <kaian@irontec.com>  Thu, 16 Oct 2025 10:14:20 +0200

sngrep (1.8.2) experimental; urgency=low

    * sngrep 1.8.2 released

 -- Ivan Alonso <kaian@irontec.com>  Mon, 08 Jul 2024 09:27:47 +0200

sngrep (1.8.1) experimental; urgency=low

    * sngrep 1.8.1 released

 -- Ivan Alonso <kaian@irontec.com>  Mon, 08 Apr 2024 10:55:20 +0200

sngrep (1.8.0) experimental; urgency=low

    * sngrep 1.8.0 released

 -- Ivan Alonso <kaian@irontec.com>   Wed, 20 Dec 2023 10:34:52 +0100

sngrep (1.7.0) experimental; urgency=low

    * sngrep 1.7.0 released

 -- Ivan Alonso <kaian@irontec.com>   Fri, 31 Mar 2023 09:55:37 +0200

sngrep (1.6.0) experimental; urgency=low

    * sngrep 1.6.0 released

 -- Ivan Alonso <kaian@irontec.com>   Wed, 31 Aug 2022 11:56:30 +0200

sngrep (1.5.0) experimental; urgency=low

   * sngrep 1.5.0 released

 -- Ivan Alonso <kaian@irontec.com>  Tue, 26 Apr 2022 15:57:37 +0200

sngrep (1.4.10) experimental; urgency=low

   * sngrep 1.4.10 released

 -- Ivan Alonso <kaian@irontec.com>  Fri, 19 Nov 2021 11:00:24 +0100

sngrep (1.4.9) experimental; urgency=low

   * sngrep 1.4.9 released

 -- Ivan Alonso <kaian@irontec.com>  Thu, 20 May 2021 09:02:43 +0200

sngrep (1.4.8) experimental; urgency=low

   * sngrep 1.4.8 released

 -- Ivan Alonso <kaian@irontec.com>  Tue, 10 Oct 2020 10:46:10 +0200

sngrep (1.4.7) experimental; urgency=low

   * sngrep 1.4.7 released

 -- Ivan Alonso <kaian@irontec.com>  Thu, 21 May 2020 11:46:22 +0200

sngrep (1.4.6) experimental; urgency=low

   * sngrep 1.4.6 released

 -- Ivan Alonso <kaian@irontec.com>  Wed, 31 Oct 2018 17:19:27 +0100

sngrep (1.4.5) experimental; urgency=low

   * sngrep 1.4.5 released

 -- Ivan Alonso <kaian@irontec.com>  Fri, 22 Dec 2017 15:13:54 +0100

sngrep (1.4.4) experimental; urgency=low

   * sngrep 1.4.4 releaed

 -- Ivan Alonso <kaian@irontec.com>  Sun, 17 Sep 2017 10:51:57 +0200

sngrep (1.4.3) experimental; urgency=low

   * sngrep 1.4.3 releaed

 -- Ivan Alonso <kaian@irontec.com>  Wed, 10 May 2017 16:44:47 +0200

sngrep (1.4.2) experimental; urgency=low

   * sngrep 1.4.2 released

 -- Ivan Alonso <kaian@irontec.com>  Mon, 19 Dec 2016 14:00:26 +0100

sngrep (1.4.1) experimental; urgency=low

  * sngrep 1.4.1 released

 -- Ivan Alonso <kaian@irontec.com>  Fri, 28 Oct 2016 11:24:14 +0200

sngrep (1.4.0) experimental; urgency=low

  * sngrep 1.4.0 released

 -- Ivan Alonso <kaian@irontec.com>  Mon, 08 Aug 2016 10:57:07 +0200

sngrep (1.3.1) experimental; urgency=low

  * sngrep 1.3.1 released

 -- Ivan Alonso <kaian@irontec.com>  Thu, 28 Apr 2016 11:45:00 +0100

sngrep (1.3.0) experimental; urgency=low

  * sngrep 1.3.0 released

 -- Ivan Alonso <kaian@irontec.com>  Tue, 15 Mar 2016 13:14:00 +0100

sngrep (1.2.0) experimental; urgency=low

  * sngrep 1.2.0 released

 -- Ivan Alonso <kaian@irontec.com>  Thu, 10 Dec 2015 13:41:00 +0100

sngrep (1.1.0) experimental; urgency=low

  * sngrep 1.1.0 released

 -- Ivan Alonso <kaian@irontec.com>  Tue, 27 Oct 2015 16:01:00 +0100

sngrep (1.0.0) experimental; urgency=low

  * sngrep 1.3.0 released

 -- Ivan Alonso <kaian@irontec.com>  Tue, 06 Oct 2015 19:13:00 +0100

sngrep (0.4.2) experimental; urgency=low

  * sngrep 0.4.2 released

 -- Ivan Alonso <kaian@irontec.com>  Mon, 31 Aug 2015 11:21:00 +0100

sngrep (0.4.1) experimental; urgency=low

  * sngrep 0.4.1 released

 -- Ivan Alonso <kaian@irontec.com>  Fri, 10 Jul 2015 10:31:00 +0100

sngrep (0.4.0) experimental; urgency=low

  * sngrep 0.4.0 released

 -- Ivan Alonso <kaian@irontec.com>  Fri, 29 Jun 2015 15:18:00 +0100

sngrep (0.3.2) experimental; urgency=low

  * sngrep 0.3.2 released

 -- Ivan Alonso <kaian@irontec.com>  Fri, 29 May 2015 13:18:00 +0100

sngrep (0.3.1) experimental; urgency=low

  * sngrep 0.3.1 released

 -- Ivan Alonso <kaian@irontec.com>  Tue, 14 Apr 2015 19:22:00 +0100

sngrep (0.3.0) experimental; urgency=low

  * sngrep 0.3.0 released

 -- Ivan Alonso <kaian@irontec.com>  Wed, 04 Mar 2015 13:09:00 +0100

sngrep (0.2.2) experimental; urgency=low

  * sngrep 0.2.2 released

 -- Ivan Alonso <kaian@irontec.com>  Fri, 06 Feb 2015 17:54:24 +0100

sngrep (0.2.1) experimental; urgency=low

  * sngrep 0.2.1 released

 -- Ivan Alonso <kaian@irontec.com>  Thu, 22 Jan 2015 13:14:24 +0100

sngrep (0.2.0) experimental; urgency=low

  * sngrep 0.2.0 released

 -- Ivan Alonso <kaian@irontec.com>  Thu, 4 Dec 2014 20:39:04 +0100

sngrep (0.1.0) experimental; urgency=low

  * sngrep 0.1.0 released

 -- Ivan Alonso <kaian@irontec.com>  Sun, 21 Oct 2014 14:35:00 +0100

sngrep (0.0.1) experimental; urgency=low

  * sngrep 0.0.1 released

 -- Ivan Alonso <kaian@irontec.com>  Wed, 1 Oct 2014 20:39:04 +0100
