## sngrep 1.8.3+bullseye

=== debian/changelog ===
sngrep (1.8.3+bullseye) experimental; urgency=medium

  * Automated package build.

 -- Jenkins <jenkins@packages.irontec.com>  Thu, 16 Oct 2025 17:56:44 +0200
