## sngrep 1.8.3+noble

=== debian/changelog ===
sngrep (1.8.3+noble) experimental; urgency=medium

  * Automated package build.

 -- Jenkins <jenkins@packages.irontec.com>  Thu, 16 Oct 2025 17:56:49 +0200
