## sngrep 1.8.3+stretch

=== debian/changelog ===
sngrep (1.8.3+stretch) experimental; urgency=medium

  * Automated package build.

 -- Jenkins <jenkins@packages.irontec.com>  Thu, 16 Oct 2025 17:56:47 +0200
